# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%bcond_without hinotify
%bcond_without libmpd
%bcond_without iwlib
%bcond_with    alsa

Name:           xmobar
Version:        0.14
Release:        3%{?dist}
Summary:        A minimalistic text-based status bar

Group:          User Interface/X
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# END cabal2spec
Source1:        xmobar.desktop
Patch1:         xmobar-0.13-default-fonts.patch

%if %{with alsa}
BuildRequires:  ghc-alsa-mixer-devel
%endif
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
%if %{with hinotify}
BuildRequires:  ghc-hinotify-devel
%endif
%if %{with libmpd}
BuildRequires:  ghc-libmpd-devel
%endif
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-X11-devel >= 1.3.0
BuildRequires:  ghc-X11-xft-devel
BuildRequires:  desktop-file-utils
%if %{with iwlib}
BuildRequires:  wireless-tools-devel
%endif
BuildRequires:  libXrandr-devel

%description
Inspired by the Ion3 status bar, it supports similar features, like dynamic
color management, output templates, and extensibility through plugins.


%prep
%setup -q
%patch1 -p1 -b .fonts


%build
%define cabal_configure_options --flags="with_utf8 with_xft %{?with_hinotify:with_inotify} %{?with_libmpd:with_mpd} %{?with_iwlib:with_iwlib}"
%ghc_bin_build
cd samples
%{_bindir}/ghc %{!?ghc_without_dynamic:-dynamic} --make xmonadpropwrite.hs
cd -


%install
desktop-file-install                         \
  --dir=%{buildroot}%{_datadir}/applications \
   %{SOURCE1}
%ghc_bin_install
install --mode=0755 -p samples/xmonadpropwrite %{buildroot}%{_bindir}/xmonadpropwrite


%files
%doc LICENSE README samples/xmobar.config
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/xmonadpropwrite
%{_datadir}/applications/xmobar.desktop


%changelog
* Wed Feb 29 2012 Ben Boeckel <mathstuf@gmail.com> - 0.14-3
- Rebuild for ghc-libmpd

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.14-2
- update to cabal2spec-0.25.2
- new dependency on libXrandr

* Wed Dec 14 2011 Ben Boeckel <mathstuf@gmail.com> - 0.14-1
- Update to 0.14

* Wed Oct 26 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.13-5.2
- rebuild with new gmp without compat lib

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 0.13-5.1
- rebuild with new gmp

* Mon Jul 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.13-5
- Update to cabal2spec-0.24
- xmonadpropwrite.hs is in the tarball again

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 0.13-4
- reenable hinotify

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.13-3
- update to cabal2spec-0.23.2: BR ghc-Cabal-devel and use ghc_arches
- disable hinotify temporarily since it failed to build on x86_64

* Fri Jun  3 2011 Jens Petersen <petersen@redhat.com> - 0.13-2
- use xft:mono-12 font by default using patch from Pavel Zhukov (#708633)
- add ppc64

* Mon Mar 28 2011 Ben Boeckel <mathstuf@gmail.com> - 0.13-1
- Update to 0.13

* Sat Mar 12 2011 Jens Petersen <petersen@redhat.com> - 0.12-5
- hide desktop file from desktop menu (#674731)
- use cabal_configure_options, cabal_bin_build, ghc_without_dynamic

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12-4
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.12-3
- Rebuild for broken dependencies

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.12-1
- Update to cabal2spec-0.22.4
- Update to 0.12

* Wed Jan 19 2011 Jens Petersen <petersen@redhat.com> - 0.11.1-9
- update to cabal2spec-0.22.4
- BR ghc-devel

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-8
- rebuild with newer stm, syb, and network

* Wed Dec 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-7
- Re-enable libmpd

* Mon Nov 29 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-6
- Disable libmpd support since 0.5 broke things

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-5
- rebuild

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-4
- Ship a desktop file as well

* Wed Sep 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-3
- Enable libmpd and hinotify by default
- Ship the README

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-2
- Build xmonadpropwrite as well

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-1
- Initial package

* Tue Aug 31 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
